Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2647643004: Report nav timing 2 instance as soon as it's requested. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months ago by sunjian
Modified:
7 months, 1 week ago
CC:
chromium-reviews, tyoshino+watch_chromium.org, Yoav Weiss, loading-reviews_chromium.org, gavinp+loader_chromium.org, blink-reviews, loading-reviews+fetch_chromium.org, Nate Chapin
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Report nav timing 2 instance as soon as it's requested. Currently NT2 instance is not available until loadEventEnd happens. However, this new feature contradicts with the way current clients use NT1 which is available as soon as it gets requested. In order to align with NT1's usage behavior, we need to also make NT2 available as soon as clients request for it. Doc: https://docs.google.com/a/chromium.org/document/d/1QX2zVcYpuFTsq0MEZH9J8ZUT4CCBezXKE--eX2ctOhw/edit?usp=sharing BUG=687398 Review-Url: https://codereview.chromium.org/2647643004 Cr-Commit-Position: refs/heads/master@{#457871} Committed: https://chromium.googlesource.com/chromium/src/+/36d0286404018e441692f66d1289f33ff33a05d1

Patch Set 1 : working version #

Patch Set 2 : got rid of test cases that don't apply anymore #

Total comments: 5

Patch Set 3 : make a copy of navigationTimingInfo for ResourceFetcher #

Total comments: 16

Patch Set 4 : report name as initial URL #

Patch Set 5 : make ResourceTimingInfo ref-counted #

Total comments: 40

Patch Set 6 : addressed comments #

Patch Set 7 : sync #

Total comments: 5

Patch Set 8 : addressed comments #

Total comments: 6

Patch Set 9 : addressed comments #

Total comments: 2

Patch Set 10 : addressed comments #

Total comments: 4

Patch Set 11 : moved layout test to external/wpt directory #

Total comments: 2

Patch Set 12 : merged with crbug/2747933002 #

Patch Set 13 : refactor getNavigationType(...) out #

Total comments: 1

Patch Set 14 : WeakMemeber<LocalFrame> to Member<LocalFrame> #

Patch Set 15 : Memebr<LocalFrame>-->WeakMember<LocalFrame> #

Patch Set 16 : add TODO #

Unified diffs Side-by-side diffs Delta from patch set Stats (+386 lines, -377 lines) Patch
A third_party/WebKit/LayoutTests/external/wpt/navigation-timing/nav2_test_instance_accessible_from_the_start.html View 1 2 3 4 5 6 7 8 9 10 1 chunk +13 lines, -0 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/navigation-timing/nav2_test_open_blank_page.html View 1 2 3 1 chunk +0 lines, -28 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/navigation-timing/nav2_test_open_data_uri.html View 1 2 3 1 chunk +0 lines, -30 lines 0 comments Download
M third_party/WebKit/Source/core/frame/LocalDOMWindow.cpp View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/loader/DocumentLoader.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/timing/Performance.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/timing/Performance.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +15 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceBase.h View 1 2 3 4 5 6 7 8 9 10 11 12 6 chunks +14 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceBase.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +15 lines, -61 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceBaseTest.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +11 lines, -12 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceEntry.h View 1 2 3 1 chunk +5 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +38 lines, -41 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +164 lines, -90 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceResourceTiming.h View 1 2 3 4 5 6 7 8 3 chunks +14 lines, -16 lines 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceResourceTiming.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +92 lines, -87 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 147 (91 generated)
sunjian
Changes: 1.Create nav timing instance when accessed through getEntries/getEntriesByType/getEntriesByName or when loadEventEnd happens. 2. Notify ...
8 months, 2 weeks ago (2017-02-02 00:06:32 UTC) #19
Kunihiko Sakamoto
https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp File third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp (right): https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp#newcode657 third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp:657: return std::move(m_navigationTimingInfo); Scripts can be executed from partially loaded ...
8 months, 2 weeks ago (2017-02-03 01:28:07 UTC) #22
sunjian
Addressed comments. Please take another look! https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp File third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp (right): https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp#newcode657 third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp:657: return std::move(m_navigationTimingInfo); On ...
8 months, 2 weeks ago (2017-02-03 20:15:22 UTC) #23
panicker
https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp File third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp (right): https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp#newcode657 third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp:657: return std::move(m_navigationTimingInfo); On 2017/02/03 20:15:21, sunjian wrote: > On ...
8 months, 2 weeks ago (2017-02-03 23:27:44 UTC) #24
panicker
https://codereview.chromium.org/2647643004/diff/280001/third_party/WebKit/Source/core/timing/Performance.cpp File third_party/WebKit/Source/core/timing/Performance.cpp (right): https://codereview.chromium.org/2647643004/diff/280001/third_party/WebKit/Source/core/timing/Performance.cpp#newcode152 third_party/WebKit/Source/core/timing/Performance.cpp:152: PerformanceNavigationTiming* Performance::getNavigationTimingInstance() { createNavigationTimingInstance? https://codereview.chromium.org/2647643004/diff/280001/third_party/WebKit/Source/core/timing/PerformanceBase.cpp File third_party/WebKit/Source/core/timing/PerformanceBase.cpp (left): https://codereview.chromium.org/2647643004/diff/280001/third_party/WebKit/Source/core/timing/PerformanceBase.cpp#oldcode84 ...
8 months, 2 weeks ago (2017-02-03 23:53:52 UTC) #25
sunjian
https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp File third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp (right): https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp#newcode657 third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp:657: return std::move(m_navigationTimingInfo); On 2017/02/03 23:27:43, panicker wrote: > On ...
8 months, 2 weeks ago (2017-02-04 00:08:36 UTC) #26
panicker
+Kentaro to advise on pointer usage (and to review the patch as well :)) https://codereview.chromium.org/2647643004/diff/260001/third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp ...
8 months, 2 weeks ago (2017-02-07 00:45:05 UTC) #28
haraken
On 2017/02/07 00:45:05, panicker wrote: > +Kentaro to advise on pointer usage > (and to ...
8 months, 2 weeks ago (2017-02-07 01:09:58 UTC) #29
sunjian
On 2017/02/07 01:09:58, haraken wrote: > On 2017/02/07 00:45:05, panicker wrote: > > +Kentaro to ...
8 months, 2 weeks ago (2017-02-07 01:15:39 UTC) #30
haraken
On 2017/02/07 01:15:39, sunjian wrote: > On 2017/02/07 01:09:58, haraken wrote: > > On 2017/02/07 ...
8 months, 2 weeks ago (2017-02-07 01:18:25 UTC) #31
sunjian
On 2017/02/07 01:18:25, haraken wrote: > On 2017/02/07 01:15:39, sunjian wrote: > > On 2017/02/07 ...
8 months, 2 weeks ago (2017-02-07 01:28:49 UTC) #32
haraken
On 2017/02/07 01:28:49, sunjian wrote: > On 2017/02/07 01:18:25, haraken wrote: > > On 2017/02/07 ...
8 months, 2 weeks ago (2017-02-07 01:34:43 UTC) #33
sunjian
On 2017/02/07 01:34:43, haraken wrote: > On 2017/02/07 01:28:49, sunjian wrote: > > On 2017/02/07 ...
8 months, 2 weeks ago (2017-02-07 01:38:14 UTC) #34
sunjian
Made ResourceTimingInfo ref-counted, addressed comments. Passed the dry run. https://codereview.chromium.org/2647643004/diff/280001/third_party/WebKit/Source/core/timing/Performance.cpp File third_party/WebKit/Source/core/timing/Performance.cpp (right): https://codereview.chromium.org/2647643004/diff/280001/third_party/WebKit/Source/core/timing/Performance.cpp#newcode152 third_party/WebKit/Source/core/timing/Performance.cpp:152: ...
8 months, 1 week ago (2017-02-10 18:32:46 UTC) #48
Kunihiko Sakamoto
https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp File third_party/WebKit/Source/core/loader/DocumentLoader.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp#newcode69 third_party/WebKit/Source/core/loader/DocumentLoader.cpp:69: #include "platform/network/ResourceTimingInfo.h" Still needed? https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/Performance.cpp File third_party/WebKit/Source/core/timing/Performance.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/Performance.cpp#newcode144 ...
8 months, 1 week ago (2017-02-13 08:22:29 UTC) #49
Kunihiko Sakamoto
https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp File third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp#newcode203 third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp:203: DOMHighResTimeStamp PerformanceNavigationTiming::workerStart() const { On 2017/02/13 08:22:29, Kunihiko Sakamoto ...
8 months, 1 week ago (2017-02-13 08:27:41 UTC) #50
sunjian
Addressed comments. Please take another look! https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp File third_party/WebKit/Source/core/loader/DocumentLoader.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp#newcode69 third_party/WebKit/Source/core/loader/DocumentLoader.cpp:69: #include "platform/network/ResourceTimingInfo.h" On ...
8 months, 1 week ago (2017-02-14 21:29:03 UTC) #67
Kunihiko Sakamoto
https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp File third_party/WebKit/Source/core/loader/DocumentLoader.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp#newcode69 third_party/WebKit/Source/core/loader/DocumentLoader.cpp:69: #include "platform/network/ResourceTimingInfo.h" On 2017/02/14 21:29:02, sunjian wrote: > On ...
8 months, 1 week ago (2017-02-15 06:35:30 UTC) #76
sunjian
Please take another look! https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp File third_party/WebKit/Source/core/loader/DocumentLoader.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/loader/DocumentLoader.cpp#newcode69 third_party/WebKit/Source/core/loader/DocumentLoader.cpp:69: #include "platform/network/ResourceTimingInfo.h" On 2017/02/15 06:35:30, ...
8 months, 1 week ago (2017-02-15 20:30:29 UTC) #77
panicker
https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp File third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp#newcode73 third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp:73: bool PerformanceNavigationTiming::getAllowRedirectDetails() const { On 2017/02/15 20:30:28, sunjian wrote: ...
8 months ago (2017-02-16 00:37:23 UTC) #85
sunjian
On 2017/02/16 00:37:23, panicker wrote: > https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp > File third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp > (right): > > https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp#newcode73 ...
8 months ago (2017-02-16 00:41:43 UTC) #86
Kunihiko Sakamoto
Can we have a layout test for the new behavior? https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp File third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp#newcode20 ...
8 months ago (2017-02-16 08:42:30 UTC) #87
sunjian
Please take another look! https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp File third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp (right): https://codereview.chromium.org/2647643004/diff/380001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp#newcode20 third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.cpp:20: ResourceTimingInfo* info, On 2017/02/16 08:42:29, ...
8 months ago (2017-02-16 22:30:49 UTC) #89
Kunihiko Sakamoto
I realized this is much trickier than I initially thought. Let's think about the domainLookupStart ...
8 months ago (2017-02-17 03:59:02 UTC) #90
panicker
On 2017/02/17 03:59:02, Kunihiko Sakamoto wrote: > I realized this is much trickier than I ...
8 months ago (2017-02-17 17:08:34 UTC) #91
Kunihiko Sakamoto
On 2017/02/17 17:08:34, panicker wrote: > On 2017/02/17 03:59:02, Kunihiko Sakamoto wrote: > > I ...
8 months ago (2017-02-21 03:48:18 UTC) #92
panicker
On 2017/02/21 03:48:18, Kunihiko Sakamoto wrote: > On 2017/02/17 17:08:34, panicker wrote: > > On ...
7 months, 2 weeks ago (2017-03-09 16:38:22 UTC) #93
Kunihiko Sakamoto
OK, let's proceed with current approach. LGTM with a final comment addressed. Thanks for your ...
7 months, 2 weeks ago (2017-03-10 08:19:00 UTC) #94
sunjian
Comments addressed! Please take another look! https://codereview.chromium.org/2647643004/diff/500001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html File third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html (right): https://codereview.chromium.org/2647643004/diff/500001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html#newcode6 third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html:6: assert_true(navigationTiming2 !== undefined); ...
7 months, 2 weeks ago (2017-03-10 20:40:18 UTC) #95
panicker
LGTM. Kentaro, could you please review for owners? Thanks. https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html File third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html (right): https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html#newcode4 third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html:4: ...
7 months, 2 weeks ago (2017-03-10 21:46:36 UTC) #96
haraken
The change looks good overall but it looks like that this CL is doing multiple ...
7 months, 1 week ago (2017-03-13 14:34:15 UTC) #97
sunjian
On 2017/03/13 14:34:15, haraken wrote: > The change looks good overall but it looks like ...
7 months, 1 week ago (2017-03-13 19:08:05 UTC) #98
sunjian
https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html File third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html (right): https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html#newcode4 third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html:4: <script> On 2017/03/10 21:46:36, panicker wrote: > move this ...
7 months, 1 week ago (2017-03-13 19:08:18 UTC) #99
panicker
On 2017/03/13 19:08:05, sunjian wrote: > On 2017/03/13 14:34:15, haraken wrote: > > The change ...
7 months, 1 week ago (2017-03-13 20:41:49 UTC) #100
panicker
https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html File third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html (right): https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html#newcode4 third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html:4: <script> On 2017/03/13 19:08:18, sunjian wrote: > On 2017/03/10 ...
7 months, 1 week ago (2017-03-13 20:42:40 UTC) #101
sunjian
https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html File third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html (right): https://codereview.chromium.org/2647643004/diff/520001/third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html#newcode4 third_party/WebKit/LayoutTests/http/tests/performance-timing/nav2-test-instance-accessible-from-the-start.html:4: <script> On 2017/03/13 20:42:40, panicker wrote: > On 2017/03/13 ...
7 months, 1 week ago (2017-03-14 18:36:58 UTC) #102
haraken
You should rebase it with ToT and remove the RefPtr change from the CL. https://codereview.chromium.org/2647643004/diff/540001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.h ...
7 months, 1 week ago (2017-03-14 20:10:40 UTC) #103
sunjian
Addressed comments and got rid of the refactoring change for getNavigationType in PerformanceBase to make ...
7 months, 1 week ago (2017-03-14 23:59:53 UTC) #104
haraken
LGTM Please add a more detailed explanation to the CL description. https://codereview.chromium.org/2647643004/diff/580001/third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.h File third_party/WebKit/Source/core/timing/PerformanceNavigationTiming.h (right): ...
7 months, 1 week ago (2017-03-15 08:47:22 UTC) #105
sunjian
On 2017/03/15 08:47:22, haraken wrote: > LGTM > > Please add a more detailed explanation ...
7 months, 1 week ago (2017-03-15 22:34:32 UTC) #107
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2647643004/620001
7 months, 1 week ago (2017-03-15 22:38:00 UTC) #113
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/137663) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
7 months, 1 week ago (2017-03-15 22:43:04 UTC) #115
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2647643004/640001
7 months, 1 week ago (2017-03-15 23:15:23 UTC) #120
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/341121) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
7 months, 1 week ago (2017-03-15 23:23:51 UTC) #122
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2647643004/660001
7 months, 1 week ago (2017-03-15 23:34:02 UTC) #126
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/401707)
7 months, 1 week ago (2017-03-16 01:37:15 UTC) #128
sunjian
On 2017/03/16 01:37:15, commit-bot: I haz the power wrote: > Try jobs failed on following ...
7 months, 1 week ago (2017-03-16 17:23:00 UTC) #129
haraken
On 2017/03/16 17:23:00, sunjian wrote: > On 2017/03/16 01:37:15, commit-bot: I haz the power wrote: ...
7 months, 1 week ago (2017-03-16 18:10:26 UTC) #130
sunjian
On 2017/03/16 18:10:26, haraken wrote: > On 2017/03/16 17:23:00, sunjian wrote: > > On 2017/03/16 ...
7 months, 1 week ago (2017-03-16 18:27:50 UTC) #131
sunjian
On 2017/03/16 18:27:50, sunjian wrote: > On 2017/03/16 18:10:26, haraken wrote: > > On 2017/03/16 ...
7 months, 1 week ago (2017-03-16 19:34:22 UTC) #132
haraken
Hmm, I looked at the code and don't understand why it needs to be weak, ...
7 months, 1 week ago (2017-03-17 12:07:20 UTC) #134
sof
On 2017/03/17 12:07:20, haraken wrote: > Hmm, I looked at the code and don't understand ...
7 months, 1 week ago (2017-03-17 13:43:25 UTC) #135
sunjian
On 2017/03/17 12:07:20, haraken wrote: > Hmm, I looked at the code and don't understand ...
7 months, 1 week ago (2017-03-17 18:34:35 UTC) #136
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2647643004/700001
7 months, 1 week ago (2017-03-17 18:38:19 UTC) #140
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2647643004/720001
7 months, 1 week ago (2017-03-17 18:40:58 UTC) #144
commit-bot: I haz the power
7 months, 1 week ago (2017-03-17 20:12:43 UTC) #147
Message was sent while issue was closed.
Committed patchset #16 (id:720001) as
https://chromium.googlesource.com/chromium/src/+/36d0286404018e441692f66d1289...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa